Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.james.mime4j.parser
Class Event

    java.lang.Object
      org.apache.james.mime4j.parser.Event

    public final class Event

extends java.lang.Object

Enumerates events which can be monitored.

Field Summary
`static Event` | `HEADERS_PREMATURE_END` Indicates that unexpected end of headers detected.
`static Event` | `INALID_HEADER` Indicates that unexpected end of headers detected.
`static Event` | `MIME_BODY_PREMATURE_END` Indicates that a body part ended prematurely.

Constructor Summary
`Event(java.lang.String code)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MIME_BODY_PREMATURE_END

    public static final Event MIME_BODY_PREMATURE_END

  Indicates that a body part ended prematurely.

### HEADERS_PREMATURE_END

    public static final Event HEADERS_PREMATURE_END

  Indicates that unexpected end of headers detected.

### INALID_HEADER

    public static final Event INALID_HEADER

  Indicates that unexpected end of headers detected.

Constructor Detail

### Event

    public Event(java.lang.String code)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.